﻿using System;
using System.Linq;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Esempio2
{
    public class Points : IEnumerable<Point>
    {
        private readonly List<Point> _points = new List<Point>();

        public void Add(int x, int y)
        {
            _points.Add(new Point(x, y));
        }

        #region IEnumerable<Point> Members

        IEnumerator<Point> IEnumerable<Point>.GetEnumerator()
        {
            return _points.GetEnumerator();
        }

        #endregion

        #region IEnumerable Members

        IEnumerator IEnumerable.GetEnumerator()
        {
            return _points.GetEnumerator();
        }

        #endregion
    }
}
