﻿using System;
using System.Linq;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Esempio2
{
    class Program
    {
        static void Main(string[] args)
        {
            //Step1();
            //Step2();
            //Step3();
            //Step4a();
            //Step4b();
            //Step5();
            Step6();
        }

        private static void Step1()  //  Array statico
        {
            object[] elenco = new object[10];
            elenco[0] = "Pippo";
            elenco[1] = 120;
            elenco[2] = 3.14;
            elenco[3] = new Point(10, 10);
            foreach (object o in elenco)
                Console.WriteLine("{0}", o);
        }

        private static void Step2()  //  Array dinamico
        {
            ArrayList elenco = new ArrayList();
            elenco.Add("Pippo");
            elenco.Add(120);
            elenco.Add(3.14);
            elenco.Add(new Point(10, 10));
            foreach (object o in elenco)
                Console.WriteLine("{0}", o);
        }

        private static void Step3()  //  Array dinamico tipato
        {
            List<Point> elenco = new List<Point>();
            elenco.Add(new Point(10, 10));
            elenco.Add(new Point(20, 20));
            elenco.Add(new Point(30, 30));
            elenco.Add(new Point(40, 40));
            foreach (Point p in elenco)
                Console.WriteLine("{0}", p);
        }

        private static void Step4a()  //  class PointsList : List<Point>
        {
            PointsList elenco = new PointsList();
            elenco.Add(new Point(10, 10));
            elenco.Add(new Point(20, 20));
            elenco.Add(new Point(30, 30));
            elenco.Add(new Point(40, 40));
            foreach (Point p in elenco)
                Console.WriteLine("{0}", p);
        }

        private static void Step4b()  //  class PointsList : List<Point>
        {
            PointsList elenco = new PointsList();
            elenco.Add(10, 10);
            elenco.Add(20, 20);
            elenco.Add(30, 30);
            elenco.Add(40, 40);
            foreach (Point p in elenco)
                Console.WriteLine("{0}", p);
        }

        private static void Step5()  //  class Points
        {
            Points elenco = new Points();
            elenco.Add(10, 10);
            elenco.Add(20, 20);
            elenco.Add(30, 30);
            elenco.Add(40, 40);
            foreach (Point p in elenco)
                Console.WriteLine("{0}", p);
        }

        private static void Step6()  //  GUIDs
        {
            for (int k = 1; k <= 10; k++)
            {
                Console.WriteLine("{0}", Guid.NewGuid());
            }
        }
    }
}
